package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.obe.CourseRequirementMatrixDto;
import com.qmth.distributed.print.business.entity.ObeCourseRequirementMatrix;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 培养方案毕业要求支撑矩阵 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCourseRequirementMatrixMapper extends BaseMapper<ObeCourseRequirementMatrix> {

    List<CourseRequirementMatrixDto> listMatrix(@Param("cultureProgramId") Long cultureProgramId, @Param("courseId") Long courseId);
}
